## org.hibernate.engine.profile
Class Fetch.Style

    java.lang.Object
      org.hibernate.engine.profile.Fetch.Style

Enclosing class:
  Fetch

    public static class Fetch.Style

extends Object

The type or style of fetch. For the moment we limit this to join and select, though technically subselect would be valid here as as well; however, to support subselect here would require major changes to the subselect loading code (which is needed for other things as well anyway).

Field Summary
`static Fetch.Style` `JOIN`
`static Fetch.Style` `SELECT`

Method Summary
`static Fetch.Style` `parse(String name)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JOIN

    public static final Fetch.Style JOIN

### SELECT

    public static final Fetch.Style SELECT

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### parse

    public static Fetch.Style parse(String name)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.